"""
Tests that we can import and execute the most basic valid test file.
Uses: tests/validYAML.yaml
"""
import pytest
import tfscript.cli
from cli_test_helpers import ArgvContext, shell

class TestValidYaml:

    def test_parseValidFile(self, tmp_path):
        """Parse the basic test file."""
        with ArgvContext('tfscript', '--directory', str(tmp_path),
            '-d', 'tests/validYAML.yaml'):
            tfscript.cli.main()
